Name:          opencl-headers
Version:       2.0.20150719
Release:       1mamba
Summary:       Khronos OpenCL development headers (API %{version})
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://www.khronos.org/registry/cl/
Source0:       https://www.khronos.org/registry/cl/api/%{version}/cl.h
Source1:       https://www.khronos.org/registry/cl/api/%{version}/cl.hpp
Source2:       https://www.khronos.org/registry/cl/api/%{version}/cl_d3d10.h
Source3:       https://www.khronos.org/registry/cl/api/%{version}/cl_d3d11.h
Source4:       https://www.khronos.org/registry/cl/api/%{version}/cl_dx9_media_sharing.h
Source5:       https://www.khronos.org/registry/cl/api/%{version}/cl_egl.h
Source6:       https://www.khronos.org/registry/cl/api/%{version}/cl_ext.h
Source7:       https://www.khronos.org/registry/cl/api/%{version}/cl_gl.h
Source8:       https://www.khronos.org/registry/cl/api/%{version}/cl_gl_ext.h
Source9:       https://www.khronos.org/registry/cl/api/%{version}/cl_platform.h
Source10:      https://www.khronos.org/registry/cl/api/%{version}/opencl.h
License:       MIT
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{sumamry}.

%prep
%setup -T -c

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}%{_includedir}/CL

install -m644 \
   %{S:0} %{S:1} %{S:2} %{S:3} %{S:4} %{S:5} \
   %{S:6} %{S:7} %{S:8} %{S:9} %{S:10} \
      %{buildroot}%{_includedir}/CL/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_includedir}/CL/*.h
%{_includedir}/CL/*.hpp

%changelog
* Wed Jul 22 2015 Automatic Build System <autodist@mambasoft.it> 2.0.20150719-1mamba
- automatic version update by autodist

* Wed Jun 17 2015 Automatic Build System <autodist@mambasoft.it> 1.2.20150123-4mamba
- automatic version update by autodist

* Tue Jun 16 2015 Automatic Build System <autodist@mambasoft.it> 1.2.20150123-3mamba
- automatic version update by autodist

* Tue Jun 16 2015 Automatic Build System <autodist@mambasoft.it> 1.2.20150123-2mamba
- automatic version update by autodist

* Mon Jun 15 2015 Automatic Build System <autodist@mambasoft.it> 1.2.20150123-1mamba
- automatic version update by autodist

* Mon Apr 27 2015 Davide Madrisan <davide.madrisan@gmail.com> 2.2.3-1mamba
- package created by autospec
